Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.foundation
Interface Configurable

All Known Subinterfaces:
  Account, BasicBean, BeanieBaby, CoffeeBean, ConfigurableEntity, InventoryRecord, Item, JellyBean, UnitConversion

All Known Implementing Classes:
  ConfigurableEntityImpl

public interface Configurable
extends BusinessSmartComponent

A Configurable object provides the ability to add name-value pairs to an object at runtime. It supports a map-like interface to store and retrieve properties. A property is identified by a unique key and has a value.

Method Summary
`void` | `addProperty(java.lang.String key, java.lang.Object Property)` Add the specified BSC to the list of attributes and associate it with specified key.
`java.lang.Object` | `getProperty(java.lang.String key)` Retrieve the value associated with the string.
`java.lang.Object` | `removeProperty(java.lang.String key)` Remove the property associated with the string.

Method Detail

### addProperty

    public void addProperty(java.lang.String key,
                            java.lang.Object Property)
                     throws java.rmi.RemoteException

  Add the specified BSC to the list of attributes and associate it with specified key.
  Parameters:
    `key` - java.lang.String
    `property` - java.lang.Object

### getProperty

    public java.lang.Object getProperty(java.lang.String key)
                                 throws java.rmi.RemoteException

  Retrieve the value associated with the string.
  Parameters:
    `key` - java.lang.String

### removeProperty

    public java.lang.Object removeProperty(java.lang.String key)
                                    throws java.rmi.RemoteException

  Remove the property associated with the string.
  Parameters:
    `key` - java.lang.String

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.